> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create a reward

POST https://api.brevo.com/v3/loyalty/offer/programs/{pid}/offers
Content-Type: application/json

Creates a new reward in the loyalty program.

Reference: https://developers.brevo.com/reference/create-reward

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID

### Body (application/json)

- `name` (string, required) — Internal name of the reward
- `publicDescription` (string, optional) — Public facing description of the reward
- `publicImage` (string, optional) — URL of the public image for the reward
- `publicName` (string, optional) — Public facing name of the reward

## Response

### 200

Reward successfully created

- `id` (string, optional) — Unique identifier for the reward
- `loyaltyProgramId` (string, optional) — Loyalty program to which the reward belongs
- `name` (string, optional) — Name of the reward
- `publicDescription` (string, optional) — Public description of the reward
- `publicImage` (string, optional) — Public image URL of the reward
- `publicName` (string, optional) — Public name of the reward
- `createdAt` (datetime, optional) — Timestamp when the reward was created
- `updatedAt` (datetime, optional) — Timestamp when the reward was last updated

## Examples

**Request**

```json
{
  "name": "string"
}
```

**Response**

```json
{
  "id": "string",
  "loyaltyProgramId": "string",
  "name": "string",
  "publicDescription": "string",
  "publicImage": "string",
  "publicName": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.reward.createReward({
        pid: "pid",
        name: "string",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.reward.create_reward(
    pid="pid",
    name="string",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Reward\Requests\CreateRewardRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->reward->createReward(
    'pid',
    new CreateRewardRequest([
        'name' => 'string',
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/offer/programs/pid/offers"

	payload := strings.NewReader("{\n  \"name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/offer/programs/pid/offers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/loyalty/offer/programs/pid/offers")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/offer/programs/pid/offers");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/offer/programs/pid/offers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```